shishi_key_random(3)

NAME
shishi_key_random - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_random(Shishi * handle, int32_t type, Shishi_key ** key);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

int32_t type
    type of key.

Shishi_key ** key
    pointer to structure that will hold newly created key information

DESCRIPTION
Create a new Key information structure for the key type and some random data. KEY contains a newly allocated structure only if this function is successful.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.